- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Create { PARAMHASH }
  - id
  - Code
  - Content
  - Permanent
  - Creator
  - Created
  - LastUpdatedBy
  - LastUpdated
  - LastAccessedBy
  - LastAccessedByObj
  - LastAccessed
  - LastAccessedObj
  - LastAccessedAsString
  - _SetLastAccessed

# NAME

RT::Shortener - RT Shortener object

# SYNOPSIS

      use RT::Shortener;

# DESCRIPTION

Object to operate on a single RT Shortener record.

# METHODS

## Create { PARAMHASH }

## id

Returns the current value of id. (In the database, id is stored as int(11).)

## Code

Returns the current value of Code. (In the database, Code is stored as varchar(64).)

## Content

Returns the current value of Content. (In the database, Content is stored as blob.)

## Permanent

Returns the current value of Permanent. (In the database, Permanent is stored as smallint(6).)

## Creator

Returns the current value of Creator. (In the database, Creator is stored as int(11).)

## Created

Returns the current value of Created. (In the database, Created is stored as datetime.)

## LastUpdatedBy

Returns the current value of LastUpdatedBy. (In the database, LastUpdatedBy is stored as int(11).)

## LastUpdated

Returns the current value of LastUpdated. (In the database, LastUpdated is stored as datetime.)

## LastAccessedBy

Returns the current value of LastAccessedBy. (In the database, LastAccessedBy is stored as int(11).)

## LastAccessedByObj

      Returns an RT::User object of the last user to access this object

## LastAccessed

Returns the current value of LastAccessed. (In the database, LastAccessed is stored as datetime.)

## LastAccessedObj

Returns an RT::Date object of the current value of LastAccessed.

## LastAccessedAsString

Returns the localized string of `LastAccessedObj` with current user's preferred format and timezone.

## _SetLastAccessed

This routine updates the LastAccessed and LastAccessedBy columns of the row in question It takes no options.

← Back to index